Description

Use Case: frequent line simplification with specific tolerances (in metres) during an edit session on geographic data.

    -  work in canvas CRS units even if layer CRS is different

    -  persistent tolerance configuration (what does the number mean in the current slider anyway?)

    -  click on line to instantly simplify

    -  option to act on selection with multiple features

Associated revisions

Revision ff6b7dec - 2015-01-22 04:16 PM - Martin Dobias

[FEATURE] Overhaul of simplify feature tool (fixes #11514)

This commit itself just removes dead code, but the previous commits bring:

- OTF reprojection support

- use can specify exact tolerance (not just non-sense relative value)

- tolerance can be specified either in map units or layer units

- tolerance settings are stored in settings

- simplify multiple features at once (drag a rectangle instead of just clicking)

- support for multi-part features

- statistics about reduction of the number of vertices

History

#1 - 2014-10-29 12:10 PM - Giovanni Manghi

- Category set to Digitising

#2 - 2015-01-22 07:17 AM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"ff6b7decead4a52e982e3446f2708e3935f44ebe".
